# HTTP Methods

The HTTP Methods are methods that can be invoked via a URL.

Most of the HTTP methods are designed to be invoked from cross-platform apps (Java, Objective-C, Javascript, Qt, etc.) or 3rd party processes such as your eCommerce provider during the purchasing process.

There are several options you can use to restrict access to HTTP methods:

* Each HTTP method can be disabled by setting a server property (see the \*\*security \*\*section of server properties)
* You can require a [user/password ](/docs/how-to/how-to-define-the-user-password-associated-to-an-ecommerce-provider.md)to call an HTTP method.
* You can restrict access to some HTTP methods by IP address (v16.1+) by configuring the server properties httpAdminMethods and httpAdminMethodsAllowedIPAddresses.
* You can enforce [QLM strict authentication](/docs/how-to/how-to-invoke-a-qlm-http-method-that-requires-strict-authentication.md) for some HTTP methods by configuring the server property **strictAuthenticationHttpMethods**. By default, strict authentication is enabled for [RetrieveActivationKeyHttp](/docs/api-reference/http-methods/retrieveactivationkeyhttp.md).

The HTTP methods are not quite as extensive as the .NET API but cover essential functionality such as:

* Validating a license ([ValidateLicenseHttp](/docs/api-reference/http-methods/validatelicensehttp.md))
* Activating a license ([ValidateLicenseHttp](/docs/api-reference/http-methods/validatelicensehttp.md))
* Checking if a license was revoked ([ValidateLicenseHttp](/docs/api-reference/http-methods/validatelicensehttp.md))
* Deactivating a license ([ReleaseLicenseHttp](/docs/api-reference/http-methods/releaselicensehttp.md))
* Renewing a subscription ([RenewSubscriptionHttp](/docs/api-reference/http-methods/renewsubscriptionhttp.md)).
* Renewing a maintenance plan ([RenewMaintenancePlan](/docs/api-reference/http-methods/renewmaintenanceplan.md))
* Publishing Analytics ([AnalyticsAddInstallHttp](/docs/api-reference/http-methods/analyticsaddinstallhttp.md), AnalyticsRemoveInstallHttp, [AnalyticsUpdateInstallHttp](/docs/api-reference/http-methods/analyticsupdateinstallhttp.md), [AnalyticsUpdateLastAccessedDateHttp](/docs/api-reference/http-methods/analyticsupdatelastaccesseddatehttp.md))
* Getting the latest version ([GetLatestVersionHttp](/docs/api-reference/http-methods/getlatestversionhttp.md))
* etc.

Note that all other methods exposed by the QLM License Server cannot be called directly via SOAP. In order to communicate with the QLM License Server, you need to use the QLM .NET API methods that are exposed via the QLMLicenseLib.dll.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/http-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
